Gross profit earned by the sequencer (fees minus operator costs)
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/sequencer-gross-profit \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/sequencer-gross-profit?project=unichain"
{ "unichain": [ { "date": "2026-02-19", "value": 223.55397979879294 }, { "date": "2026-02-18", "value": 249.1131030996802 }, { "date": "2026-02-17", "value": 366.84293229656794 }, { "date": "2026-02-16", "value": 315.6836017811384 }, { "date": "2026-02-15", "value": 441.21589603937605 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
katana
optimism
unichain
zksync
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK